<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Servidor' => '\\StructType\\Servidor',
            'vinculos' => '\\StructType\\Vinculos',
            'Pessoa' => '\\StructType\\Pessoa',
            'BaseModel' => '\\StructType\\BaseModel',
            'Vinculo' => '\\StructType\\Vinculo',
            'dadosFuncionais' => '\\StructType\\DadosFuncionais',
            'DadoFuncional' => '\\StructType\\DadoFuncional',
            'campos' => '\\StructType\\Campos',
            'Campo' => '\\StructType\\Campo',
            'Agrupamento' => '\\StructType\\Agrupamento',
            'Orgao' => '\\StructType\\Orgao',
            'Instituidor' => '\\StructType\\Instituidor',
            'beneficios' => '\\StructType\\Beneficios',
            'Beneficio' => '\\StructType\\Beneficio',
            'Beneficiado' => '\\StructType\\Beneficiado',
            'objetosAcao' => '\\StructType\\ObjetosAcao',
            'ObjetoAcao' => '\\StructType\\ObjetoAcao',
            'AcaoJudicial' => '\\StructType\\AcaoJudicial',
            'advogados' => '\\StructType\\Advogados',
            'orgaosDaAcao' => '\\StructType\\OrgaosDaAcao',
            'objetos' => '\\StructType\\Objetos',
            'rubricas' => '\\StructType\\Rubricas',
            'Advogado' => '\\StructType\\Advogado',
            'OrgaoDaAcao' => '\\StructType\\OrgaoDaAcao',
            'eventos' => '\\StructType\\Eventos',
            'beneficiados' => '\\StructType\\Beneficiados',
            'EventoAcaoJudicial' => '\\StructType\\EventoAcaoJudicial',
            'Rubrica' => '\\StructType\\Rubrica',
            'InstituidorLegal' => '\\StructType\\InstituidorLegal',
            'Transacao' => '\\StructType\\Transacao',
            'Beneficiario' => '\\StructType\\Beneficiario',
            'PessoaSiape' => '\\StructType\\PessoaSiape',
            'fichaFinanceira' => '\\StructType\\FichaFinanceira',
            'ItemFichaFinanceira' => '\\StructType\\ItemFichaFinanceira',
            'RegraNegocioException' => '\\StructType\\RegraNegocioException',
            'ConexaoException' => '\\StructType\\ConexaoException',
            'SiapeException' => '\\StructType\\SiapeException',
            'rubrica' => '\\StructType\\Rubrica_1',
            't30OcorrenciaServidor' => '\\StructType\\T30OcorrenciaServidor',
            't30OcorrenciaServidorId' => '\\StructType\\T30OcorrenciaServidorId',
            'beneficiario' => '\\StructType\\Beneficiario_1',
            'TipoPensaoException' => '\\StructType\\TipoPensaoException',
            'incidenciaVinculoBeneficio' => '\\StructType\\IncidenciaVinculoBeneficio',
            't55BeneficioServidorHist' => '\\StructType\\T55BeneficioServidorHist',
            't55BeneficioServidorHistId' => '\\StructType\\T55BeneficioServidorHistId',
            't53ServidorSiape' => '\\StructType\\T53ServidorSiape',
            't53ServidorSiapeId' => '\\StructType\\T53ServidorSiapeId',
            'findServidorByOrgaoAndCpfAndTipo' => '\\StructType\\FindServidorByOrgaoAndCpfAndTipo',
            'findServidorByOrgaoAndCpfAndTipoResponse' => '\\StructType\\FindServidorByOrgaoAndCpfAndTipoResponse',
            'findOrgaoByNomeAndSituacao' => '\\StructType\\FindOrgaoByNomeAndSituacao',
            'findOrgaoByNomeAndSituacaoResponse' => '\\StructType\\FindOrgaoByNomeAndSituacaoResponse',
            'recuperarBeneficiadosDaAcaoPorIdUnica' => '\\StructType\\RecuperarBeneficiadosDaAcaoPorIdUnica',
            'recuperarBeneficiadosDaAcaoPorIdUnicaResponse' => '\\StructType\\RecuperarBeneficiadosDaAcaoPorIdUnicaResponse',
            'retornarBeneficiarioInstituidores' => '\\StructType\\RetornarBeneficiarioInstituidores',
            'retornarBeneficiarioInstituidoresResponse' => '\\StructType\\RetornarBeneficiarioInstituidoresResponse',
            'logon' => '\\StructType\\Logon',
            'logonResponse' => '\\StructType\\LogonResponse',
            'listarBeneficiarioNome' => '\\StructType\\ListarBeneficiarioNome',
            'listarBeneficiarioNomeResponse' => '\\StructType\\ListarBeneficiarioNomeResponse',
            'pesquisarServidorMatricula' => '\\StructType\\PesquisarServidorMatricula',
            'pesquisarServidorMatriculaResponse' => '\\StructType\\PesquisarServidorMatriculaResponse',
            'findServidorByOrgaoAndMatriculaAndTipo' => '\\StructType\\FindServidorByOrgaoAndMatriculaAndTipo',
            'findServidorByOrgaoAndMatriculaAndTipoResponse' => '\\StructType\\FindServidorByOrgaoAndMatriculaAndTipoResponse',
            'pesquisarServidorCpf' => '\\StructType\\PesquisarServidorCpf',
            'pesquisarServidorCpfResponse' => '\\StructType\\PesquisarServidorCpfResponse',
            'pesquisarBeneficiarioCpf' => '\\StructType\\PesquisarBeneficiarioCpf',
            'pesquisarBeneficiarioCpfResponse' => '\\StructType\\PesquisarBeneficiarioCpfResponse',
            'getFichaFinanceira' => '\\StructType\\GetFichaFinanceira',
            'getFichaFinanceiraResponse' => '\\StructType\\GetFichaFinanceiraResponse',
            'pesquisarBeneficiarioMatricula' => '\\StructType\\PesquisarBeneficiarioMatricula',
            'pesquisarBeneficiarioMatriculaResponse' => '\\StructType\\PesquisarBeneficiarioMatriculaResponse',
            'montarFichaFinanceiraBeneficiario' => '\\StructType\\MontarFichaFinanceiraBeneficiario',
            'montarFichaFinanceiraBeneficiarioResponse' => '\\StructType\\MontarFichaFinanceiraBeneficiarioResponse',
            'findBeneficiadoByMesAnoPagamentoEMatriculaEOrgao' => '\\StructType\\FindBeneficiadoByMesAnoPagamentoEMatriculaEOrgao',
            'findBeneficiadoByMesAnoPagamentoEMatriculaEOrgaoResponse' => '\\StructType\\FindBeneficiadoByMesAnoPagamentoEMatriculaEOrgaoResponse',
            'findBeneficiadoByNomeEOrgao' => '\\StructType\\FindBeneficiadoByNomeEOrgao',
            'findBeneficiadoByNomeEOrgaoResponse' => '\\StructType\\FindBeneficiadoByNomeEOrgaoResponse',
            'findAgrupamentos' => '\\StructType\\FindAgrupamentos',
            'findAgrupamentosResponse' => '\\StructType\\FindAgrupamentosResponse',
            'getOcorrenciasServidor' => '\\StructType\\GetOcorrenciasServidor',
            'getOcorrenciasServidorResponse' => '\\StructType\\GetOcorrenciasServidorResponse',
            'findOrgaoByCodigoAndSituacao' => '\\StructType\\FindOrgaoByCodigoAndSituacao',
            'findOrgaoByCodigoAndSituacaoResponse' => '\\StructType\\FindOrgaoByCodigoAndSituacaoResponse',
            'recuperarBeneficiadosDaAcaoPorMatricula' => '\\StructType\\RecuperarBeneficiadosDaAcaoPorMatricula',
            'recuperarBeneficiadosDaAcaoPorMatriculaResponse' => '\\StructType\\RecuperarBeneficiadosDaAcaoPorMatriculaResponse',
            'getDataObitoServidor' => '\\StructType\\GetDataObitoServidor',
            'getDataObitoServidorResponse' => '\\StructType\\GetDataObitoServidorResponse',
            'findBeneficiadoAndBeneficiosByMatriculaAndCpf' => '\\StructType\\FindBeneficiadoAndBeneficiosByMatriculaAndCpf',
            'findBeneficiadoAndBeneficiosByMatriculaAndCpfResponse' => '\\StructType\\FindBeneficiadoAndBeneficiosByMatriculaAndCpfResponse',
            'getDataObitoBeneficiario' => '\\StructType\\GetDataObitoBeneficiario',
            'getDataObitoBeneficiarioResponse' => '\\StructType\\GetDataObitoBeneficiarioResponse',
            'getBeneficiarioInstituidores' => '\\StructType\\GetBeneficiarioInstituidores',
            'getBeneficiarioInstituidoresResponse' => '\\StructType\\GetBeneficiarioInstituidoresResponse',
            'findByMesAnoAndOrgaoAndMatricula' => '\\StructType\\FindByMesAnoAndOrgaoAndMatricula',
            'findByMesAnoAndOrgaoAndMatriculaResponse' => '\\StructType\\FindByMesAnoAndOrgaoAndMatriculaResponse',
            'findVinculoByOrgaoAndMatriculaInstituidor' => '\\StructType\\FindVinculoByOrgaoAndMatriculaInstituidor',
            'findVinculoByOrgaoAndMatriculaInstituidorResponse' => '\\StructType\\FindVinculoByOrgaoAndMatriculaInstituidorResponse',
            'findAcaoJudicialAndAdvogadosAndObjetosAcaoByCodigo' => '\\StructType\\FindAcaoJudicialAndAdvogadosAndObjetosAcaoByCodigo',
            'findAcaoJudicialAndAdvogadosAndObjetosAcaoByCodigoResponse' => '\\StructType\\FindAcaoJudicialAndAdvogadosAndObjetosAcaoByCodigoResponse',
            'findByMatricula' => '\\StructType\\FindByMatricula',
            'findByMatriculaResponse' => '\\StructType\\FindByMatriculaResponse',
            'findBeneficioAndBeneficiadoAndServidorAndInstituidorAndOrgaoByCodigoOrgaoAndMatriculaBeneficiadoAndMesAnoBeneficio' => '\\StructType\\FindBeneficioAndBeneficiadoAndServidorAndInstituidorAndOrgaoByCodigoOrgaoAndMatriculaBeneficiadoAndMesAnoBeneficio',
            'findBeneficioAndBeneficiadoAndServidorAndInstituidorAndOrgaoByCodigoOrgaoAndMatriculaBeneficiadoAndMesAnoBeneficioResponse' => '\\StructType\\FindBeneficioAndBeneficiadoAndServidorAndInstituidorAndOrgaoByCodigoOrgaoAndMatriculaBeneficiadoAndMesAnoBeneficioResponse',
            'findBeneficiadoByCpf' => '\\StructType\\FindBeneficiadoByCpf',
            'findBeneficiadoByCpfResponse' => '\\StructType\\FindBeneficiadoByCpfResponse',
            'findServidorByOrgaoAndNomeAndTipo' => '\\StructType\\FindServidorByOrgaoAndNomeAndTipo',
            'findServidorByOrgaoAndNomeAndTipoResponse' => '\\StructType\\FindServidorByOrgaoAndNomeAndTipoResponse',
            'findBeneficiadoByNome' => '\\StructType\\FindBeneficiadoByNome',
            'findBeneficiadoByNomeResponse' => '\\StructType\\FindBeneficiadoByNomeResponse',
            'listarServidorNome' => '\\StructType\\ListarServidorNome',
            'listarServidorNomeResponse' => '\\StructType\\ListarServidorNomeResponse',
            'findOrgaoByCodigoAcao' => '\\StructType\\FindOrgaoByCodigoAcao',
            'findOrgaoByCodigoAcaoResponse' => '\\StructType\\FindOrgaoByCodigoAcaoResponse',
            'findBeneficiadoBySerproApsis' => '\\StructType\\FindBeneficiadoBySerproApsis',
            'findBeneficiadoBySerproApsisResponse' => '\\StructType\\FindBeneficiadoBySerproApsisResponse',
            'findServidorByOrgaoAndIdentificacaoUnicaAndTipo' => '\\StructType\\FindServidorByOrgaoAndIdentificacaoUnicaAndTipo',
            'findServidorByOrgaoAndIdentificacaoUnicaAndTipoResponse' => '\\StructType\\FindServidorByOrgaoAndIdentificacaoUnicaAndTipoResponse',
            'findTransacaoByCpf' => '\\StructType\\FindTransacaoByCpf',
            'findTransacaoByCpfResponse' => '\\StructType\\FindTransacaoByCpfResponse',
            'getIncidenciaVinculosBeneficios' => '\\StructType\\GetIncidenciaVinculosBeneficios',
            'getIncidenciaVinculosBeneficiosResponse' => '\\StructType\\GetIncidenciaVinculosBeneficiosResponse',
            'findVinculoByIdentificacaoUnicaServidor' => '\\StructType\\FindVinculoByIdentificacaoUnicaServidor',
            'findVinculoByIdentificacaoUnicaServidorResponse' => '\\StructType\\FindVinculoByIdentificacaoUnicaServidorResponse',
            'findInstituidorOrgaoByMatriculaBeneficiadoAndMesAnoPagamentoBeneficio' => '\\StructType\\FindInstituidorOrgaoByMatriculaBeneficiadoAndMesAnoPagamentoBeneficio',
            'findInstituidorOrgaoByMatriculaBeneficiadoAndMesAnoPagamentoBeneficioResponse' => '\\StructType\\FindInstituidorOrgaoByMatriculaBeneficiadoAndMesAnoPagamentoBeneficioResponse',
            'findDadosFuncionaisByIdentificacaoUnicaAndOrgaoAndPeriodoAndAgrupamento' => '\\StructType\\FindDadosFuncionaisByIdentificacaoUnicaAndOrgaoAndPeriodoAndAgrupamento',
            'findDadosFuncionaisByIdentificacaoUnicaAndOrgaoAndPeriodoAndAgrupamentoResponse' => '\\StructType\\FindDadosFuncionaisByIdentificacaoUnicaAndOrgaoAndPeriodoAndAgrupamentoResponse',
            'montarFichaFinanceiraServidor' => '\\StructType\\MontarFichaFinanceiraServidor',
            'montarFichaFinanceiraServidorResponse' => '\\StructType\\MontarFichaFinanceiraServidorResponse',
            'findOrgaoBySiglaAndSituacao' => '\\StructType\\FindOrgaoBySiglaAndSituacao',
            'findOrgaoBySiglaAndSituacaoResponse' => '\\StructType\\FindOrgaoBySiglaAndSituacaoResponse',
            'findBeneficiadoAndAcaoJudicialByNomeBeneficiado' => '\\StructType\\FindBeneficiadoAndAcaoJudicialByNomeBeneficiado',
            'findBeneficiadoAndAcaoJudicialByNomeBeneficiadoResponse' => '\\StructType\\FindBeneficiadoAndAcaoJudicialByNomeBeneficiadoResponse',
            'findAcaoJudicialAndBeneficiadoAndBeneficioAndObjetoAcaoAndServidorByCodigoAcaoAndSituacaoBeneficiado' => '\\StructType\\FindAcaoJudicialAndBeneficiadoAndBeneficioAndObjetoAcaoAndServidorByCodigoAcaoAndSituacaoBeneficiado',
            'findAcaoJudicialAndBeneficiadoAndBeneficioAndObjetoAcaoAndServidorByCodigoAcaoAndSituacaoBeneficiadoResponse' => '\\StructType\\FindAcaoJudicialAndBeneficiadoAndBeneficioAndObjetoAcaoAndServidorByCodigoAcaoAndSituacaoBeneficiadoResponse',
            'findAcaoJudicialById' => '\\StructType\\FindAcaoJudicialById',
            'findAcaoJudicialByIdResponse' => '\\StructType\\FindAcaoJudicialByIdResponse',
            'getHistoricoBeneficio' => '\\StructType\\GetHistoricoBeneficio',
            'getHistoricoBeneficioResponse' => '\\StructType\\GetHistoricoBeneficioResponse',
            'recuperarBeneficiadosDaAcaoPorNome' => '\\StructType\\RecuperarBeneficiadosDaAcaoPorNome',
            'recuperarBeneficiadosDaAcaoPorNomeResponse' => '\\StructType\\RecuperarBeneficiadosDaAcaoPorNomeResponse',
            'findBeneficiadoAndServidorAndObjetoAcaoAndAcaoJudicialByIdentificacaoEAcao' => '\\StructType\\FindBeneficiadoAndServidorAndObjetoAcaoAndAcaoJudicialByIdentificacaoEAcao',
            'findBeneficiadoAndServidorAndObjetoAcaoAndAcaoJudicialByIdentificacaoEAcaoResponse' => '\\StructType\\FindBeneficiadoAndServidorAndObjetoAcaoAndAcaoJudicialByIdentificacaoEAcaoResponse',
            'findBeneficiadoByMatricula' => '\\StructType\\FindBeneficiadoByMatricula',
            'findBeneficiadoByMatriculaResponse' => '\\StructType\\FindBeneficiadoByMatriculaResponse',
            'findBeneficiadoAndAcaoJudicialByNomeAutor' => '\\StructType\\FindBeneficiadoAndAcaoJudicialByNomeAutor',
            'findBeneficiadoAndAcaoJudicialByNomeAutorResponse' => '\\StructType\\FindBeneficiadoAndAcaoJudicialByNomeAutorResponse',
            'findByOrgaoAndMatriculaInstituidor' => '\\StructType\\FindByOrgaoAndMatriculaInstituidor',
            'findByOrgaoAndMatriculaInstituidorResponse' => '\\StructType\\FindByOrgaoAndMatriculaInstituidorResponse',
            'getHistoricoServidor' => '\\StructType\\GetHistoricoServidor',
            'getHistoricoServidorResponse' => '\\StructType\\GetHistoricoServidorResponse',
        );
    }
}
