<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for advogados StructType
 * @subpackage Structs
 */
class Advogados extends AbstractStructBase
{
    /**
     * The advogado
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Advogado[]
     */
    public $advogado;
    /**
     * Constructor method for advogados
     * @uses Advogados::setAdvogado()
     * @param \StructType\Advogado[] $advogado
     */
    public function __construct(array $advogado = array())
    {
        $this
            ->setAdvogado($advogado);
    }
    /**
     * Get advogado value
     * @return \StructType\Advogado[]|null
     */
    public function getAdvogado()
    {
        return $this->advogado;
    }
    /**
     * This method is responsible for validating the values passed to the setAdvogado method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAdvogado method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAdvogadoForArrayConstraintsFromSetAdvogado(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $advogadosAdvogadoItem) {
            // validation for constraint: itemType
            if (!$advogadosAdvogadoItem instanceof \StructType\Advogado) {
                $invalidValues[] = is_object($advogadosAdvogadoItem) ? get_class($advogadosAdvogadoItem) : sprintf('%s(%s)', gettype($advogadosAdvogadoItem), var_export($advogadosAdvogadoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The advogado property can only contain items of type \StructType\Advogado, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set advogado value
     * @throws \InvalidArgumentException
     * @param \StructType\Advogado[] $advogado
     * @return \StructType\Advogados
     */
    public function setAdvogado(array $advogado = array())
    {
        // validation for constraint: array
        if ('' !== ($advogadoArrayErrorMessage = self::validateAdvogadoForArrayConstraintsFromSetAdvogado($advogado))) {
            throw new \InvalidArgumentException($advogadoArrayErrorMessage, __LINE__);
        }
        $this->advogado = $advogado;
        return $this;
    }
    /**
     * Add item to advogado value
     * @throws \InvalidArgumentException
     * @param \StructType\Advogado $item
     * @return \StructType\Advogados
     */
    public function addToAdvogado(\StructType\Advogado $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Advogado) {
            throw new \InvalidArgumentException(sprintf('The advogado property can only contain items of type \StructType\Advogado, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->advogado[] = $item;
        return $this;
    }
}
