<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for beneficiados StructType
 * @subpackage Structs
 */
class Beneficiados extends AbstractStructBase
{
    /**
     * The beneficiado
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Beneficiado[]
     */
    public $beneficiado;
    /**
     * Constructor method for beneficiados
     * @uses Beneficiados::setBeneficiado()
     * @param \StructType\Beneficiado[] $beneficiado
     */
    public function __construct(array $beneficiado = array())
    {
        $this
            ->setBeneficiado($beneficiado);
    }
    /**
     * Get beneficiado value
     * @return \StructType\Beneficiado[]|null
     */
    public function getBeneficiado()
    {
        return $this->beneficiado;
    }
    /**
     * This method is responsible for validating the values passed to the setBeneficiado method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBeneficiado method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBeneficiadoForArrayConstraintsFromSetBeneficiado(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $beneficiadosBeneficiadoItem) {
            // validation for constraint: itemType
            if (!$beneficiadosBeneficiadoItem instanceof \StructType\Beneficiado) {
                $invalidValues[] = is_object($beneficiadosBeneficiadoItem) ? get_class($beneficiadosBeneficiadoItem) : sprintf('%s(%s)', gettype($beneficiadosBeneficiadoItem), var_export($beneficiadosBeneficiadoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The beneficiado property can only contain items of type \StructType\Beneficiado, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set beneficiado value
     * @throws \InvalidArgumentException
     * @param \StructType\Beneficiado[] $beneficiado
     * @return \StructType\Beneficiados
     */
    public function setBeneficiado(array $beneficiado = array())
    {
        // validation for constraint: array
        if ('' !== ($beneficiadoArrayErrorMessage = self::validateBeneficiadoForArrayConstraintsFromSetBeneficiado($beneficiado))) {
            throw new \InvalidArgumentException($beneficiadoArrayErrorMessage, __LINE__);
        }
        $this->beneficiado = $beneficiado;
        return $this;
    }
    /**
     * Add item to beneficiado value
     * @throws \InvalidArgumentException
     * @param \StructType\Beneficiado $item
     * @return \StructType\Beneficiados
     */
    public function addToBeneficiado(\StructType\Beneficiado $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Beneficiado) {
            throw new \InvalidArgumentException(sprintf('The beneficiado property can only contain items of type \StructType\Beneficiado, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->beneficiado[] = $item;
        return $this;
    }
}
