<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for beneficios StructType
 * @subpackage Structs
 */
class Beneficios extends AbstractStructBase
{
    /**
     * The beneficio
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Beneficio[]
     */
    public $beneficio;
    /**
     * Constructor method for beneficios
     * @uses Beneficios::setBeneficio()
     * @param \StructType\Beneficio[] $beneficio
     */
    public function __construct(array $beneficio = array())
    {
        $this
            ->setBeneficio($beneficio);
    }
    /**
     * Get beneficio value
     * @return \StructType\Beneficio[]|null
     */
    public function getBeneficio()
    {
        return $this->beneficio;
    }
    /**
     * This method is responsible for validating the values passed to the setBeneficio method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBeneficio method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBeneficioForArrayConstraintsFromSetBeneficio(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $beneficiosBeneficioItem) {
            // validation for constraint: itemType
            if (!$beneficiosBeneficioItem instanceof \StructType\Beneficio) {
                $invalidValues[] = is_object($beneficiosBeneficioItem) ? get_class($beneficiosBeneficioItem) : sprintf('%s(%s)', gettype($beneficiosBeneficioItem), var_export($beneficiosBeneficioItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The beneficio property can only contain items of type \StructType\Beneficio, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set beneficio value
     * @throws \InvalidArgumentException
     * @param \StructType\Beneficio[] $beneficio
     * @return \StructType\Beneficios
     */
    public function setBeneficio(array $beneficio = array())
    {
        // validation for constraint: array
        if ('' !== ($beneficioArrayErrorMessage = self::validateBeneficioForArrayConstraintsFromSetBeneficio($beneficio))) {
            throw new \InvalidArgumentException($beneficioArrayErrorMessage, __LINE__);
        }
        $this->beneficio = $beneficio;
        return $this;
    }
    /**
     * Add item to beneficio value
     * @throws \InvalidArgumentException
     * @param \StructType\Beneficio $item
     * @return \StructType\Beneficios
     */
    public function addToBeneficio(\StructType\Beneficio $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Beneficio) {
            throw new \InvalidArgumentException(sprintf('The beneficio property can only contain items of type \StructType\Beneficio, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->beneficio[] = $item;
        return $this;
    }
}
