<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for campos StructType
 * @subpackage Structs
 */
class Campos extends AbstractStructBase
{
    /**
     * The campo
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Campo[]
     */
    public $campo;
    /**
     * Constructor method for campos
     * @uses Campos::setCampo()
     * @param \StructType\Campo[] $campo
     */
    public function __construct(array $campo = array())
    {
        $this
            ->setCampo($campo);
    }
    /**
     * Get campo value
     * @return \StructType\Campo[]|null
     */
    public function getCampo()
    {
        return $this->campo;
    }
    /**
     * This method is responsible for validating the values passed to the setCampo method
     * This method is willingly generated in order to preserve the one-line inline validation within the setCampo method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateCampoForArrayConstraintsFromSetCampo(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $camposCampoItem) {
            // validation for constraint: itemType
            if (!$camposCampoItem instanceof \StructType\Campo) {
                $invalidValues[] = is_object($camposCampoItem) ? get_class($camposCampoItem) : sprintf('%s(%s)', gettype($camposCampoItem), var_export($camposCampoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The campo property can only contain items of type \StructType\Campo, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set campo value
     * @throws \InvalidArgumentException
     * @param \StructType\Campo[] $campo
     * @return \StructType\Campos
     */
    public function setCampo(array $campo = array())
    {
        // validation for constraint: array
        if ('' !== ($campoArrayErrorMessage = self::validateCampoForArrayConstraintsFromSetCampo($campo))) {
            throw new \InvalidArgumentException($campoArrayErrorMessage, __LINE__);
        }
        $this->campo = $campo;
        return $this;
    }
    /**
     * Add item to campo value
     * @throws \InvalidArgumentException
     * @param \StructType\Campo $item
     * @return \StructType\Campos
     */
    public function addToCampo(\StructType\Campo $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Campo) {
            throw new \InvalidArgumentException(sprintf('The campo property can only contain items of type \StructType\Campo, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->campo[] = $item;
        return $this;
    }
}
