<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EventoAcaoJudicial StructType
 * @subpackage Structs
 */
class EventoAcaoJudicial extends BaseModel
{
    /**
     * The responsavel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $responsavel;
    /**
     * The dataEvento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dataEvento;
    /**
     * The tipoEvento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $tipoEvento;
    /**
     * Constructor method for EventoAcaoJudicial
     * @uses EventoAcaoJudicial::setResponsavel()
     * @uses EventoAcaoJudicial::setDataEvento()
     * @uses EventoAcaoJudicial::setTipoEvento()
     * @param string $responsavel
     * @param string $dataEvento
     * @param int $tipoEvento
     */
    public function __construct($responsavel = null, $dataEvento = null, $tipoEvento = null)
    {
        $this
            ->setResponsavel($responsavel)
            ->setDataEvento($dataEvento)
            ->setTipoEvento($tipoEvento);
    }
    /**
     * Get responsavel value
     * @return string|null
     */
    public function getResponsavel()
    {
        return $this->responsavel;
    }
    /**
     * Set responsavel value
     * @param string $responsavel
     * @return \StructType\EventoAcaoJudicial
     */
    public function setResponsavel($responsavel = null)
    {
        // validation for constraint: string
        if (!is_null($responsavel) && !is_string($responsavel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($responsavel, true), gettype($responsavel)), __LINE__);
        }
        $this->responsavel = $responsavel;
        return $this;
    }
    /**
     * Get dataEvento value
     * @return string|null
     */
    public function getDataEvento()
    {
        return $this->dataEvento;
    }
    /**
     * Set dataEvento value
     * @param string $dataEvento
     * @return \StructType\EventoAcaoJudicial
     */
    public function setDataEvento($dataEvento = null)
    {
        // validation for constraint: string
        if (!is_null($dataEvento) && !is_string($dataEvento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataEvento, true), gettype($dataEvento)), __LINE__);
        }
        $this->dataEvento = $dataEvento;
        return $this;
    }
    /**
     * Get tipoEvento value
     * @return int|null
     */
    public function getTipoEvento()
    {
        return $this->tipoEvento;
    }
    /**
     * Set tipoEvento value
     * @param int $tipoEvento
     * @return \StructType\EventoAcaoJudicial
     */
    public function setTipoEvento($tipoEvento = null)
    {
        // validation for constraint: int
        if (!is_null($tipoEvento) && !(is_int($tipoEvento) || ctype_digit($tipoEvento))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($tipoEvento, true), gettype($tipoEvento)), __LINE__);
        }
        $this->tipoEvento = $tipoEvento;
        return $this;
    }
}
