<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for eventos StructType
 * @subpackage Structs
 */
class Eventos extends AbstractStructBase
{
    /**
     * The eventoAcaoJudicial
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\EventoAcaoJudicial[]
     */
    public $eventoAcaoJudicial;
    /**
     * Constructor method for eventos
     * @uses Eventos::setEventoAcaoJudicial()
     * @param \StructType\EventoAcaoJudicial[] $eventoAcaoJudicial
     */
    public function __construct(array $eventoAcaoJudicial = array())
    {
        $this
            ->setEventoAcaoJudicial($eventoAcaoJudicial);
    }
    /**
     * Get eventoAcaoJudicial value
     * @return \StructType\EventoAcaoJudicial[]|null
     */
    public function getEventoAcaoJudicial()
    {
        return $this->eventoAcaoJudicial;
    }
    /**
     * This method is responsible for validating the values passed to the setEventoAcaoJudicial method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEventoAcaoJudicial method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEventoAcaoJudicialForArrayConstraintsFromSetEventoAcaoJudicial(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $eventosEventoAcaoJudicialItem) {
            // validation for constraint: itemType
            if (!$eventosEventoAcaoJudicialItem instanceof \StructType\EventoAcaoJudicial) {
                $invalidValues[] = is_object($eventosEventoAcaoJudicialItem) ? get_class($eventosEventoAcaoJudicialItem) : sprintf('%s(%s)', gettype($eventosEventoAcaoJudicialItem), var_export($eventosEventoAcaoJudicialItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The eventoAcaoJudicial property can only contain items of type \StructType\EventoAcaoJudicial, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set eventoAcaoJudicial value
     * @throws \InvalidArgumentException
     * @param \StructType\EventoAcaoJudicial[] $eventoAcaoJudicial
     * @return \StructType\Eventos
     */
    public function setEventoAcaoJudicial(array $eventoAcaoJudicial = array())
    {
        // validation for constraint: array
        if ('' !== ($eventoAcaoJudicialArrayErrorMessage = self::validateEventoAcaoJudicialForArrayConstraintsFromSetEventoAcaoJudicial($eventoAcaoJudicial))) {
            throw new \InvalidArgumentException($eventoAcaoJudicialArrayErrorMessage, __LINE__);
        }
        $this->eventoAcaoJudicial = $eventoAcaoJudicial;
        return $this;
    }
    /**
     * Add item to eventoAcaoJudicial value
     * @throws \InvalidArgumentException
     * @param \StructType\EventoAcaoJudicial $item
     * @return \StructType\Eventos
     */
    public function addToEventoAcaoJudicial(\StructType\EventoAcaoJudicial $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EventoAcaoJudicial) {
            throw new \InvalidArgumentException(sprintf('The eventoAcaoJudicial property can only contain items of type \StructType\EventoAcaoJudicial, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->eventoAcaoJudicial[] = $item;
        return $this;
    }
}
