<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for fichaFinanceira StructType
 * @subpackage Structs
 */
class FichaFinanceira extends AbstractStructBase
{
    /**
     * The itemFichaFinanceira
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\ItemFichaFinanceira[]
     */
    public $itemFichaFinanceira;
    /**
     * Constructor method for fichaFinanceira
     * @uses FichaFinanceira::setItemFichaFinanceira()
     * @param \StructType\ItemFichaFinanceira[] $itemFichaFinanceira
     */
    public function __construct(array $itemFichaFinanceira = array())
    {
        $this
            ->setItemFichaFinanceira($itemFichaFinanceira);
    }
    /**
     * Get itemFichaFinanceira value
     * @return \StructType\ItemFichaFinanceira[]|null
     */
    public function getItemFichaFinanceira()
    {
        return $this->itemFichaFinanceira;
    }
    /**
     * This method is responsible for validating the values passed to the setItemFichaFinanceira method
     * This method is willingly generated in order to preserve the one-line inline validation within the setItemFichaFinanceira method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateItemFichaFinanceiraForArrayConstraintsFromSetItemFichaFinanceira(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $fichaFinanceiraItemFichaFinanceiraItem) {
            // validation for constraint: itemType
            if (!$fichaFinanceiraItemFichaFinanceiraItem instanceof \StructType\ItemFichaFinanceira) {
                $invalidValues[] = is_object($fichaFinanceiraItemFichaFinanceiraItem) ? get_class($fichaFinanceiraItemFichaFinanceiraItem) : sprintf('%s(%s)', gettype($fichaFinanceiraItemFichaFinanceiraItem), var_export($fichaFinanceiraItemFichaFinanceiraItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The itemFichaFinanceira property can only contain items of type \StructType\ItemFichaFinanceira, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set itemFichaFinanceira value
     * @throws \InvalidArgumentException
     * @param \StructType\ItemFichaFinanceira[] $itemFichaFinanceira
     * @return \StructType\FichaFinanceira
     */
    public function setItemFichaFinanceira(array $itemFichaFinanceira = array())
    {
        // validation for constraint: array
        if ('' !== ($itemFichaFinanceiraArrayErrorMessage = self::validateItemFichaFinanceiraForArrayConstraintsFromSetItemFichaFinanceira($itemFichaFinanceira))) {
            throw new \InvalidArgumentException($itemFichaFinanceiraArrayErrorMessage, __LINE__);
        }
        $this->itemFichaFinanceira = $itemFichaFinanceira;
        return $this;
    }
    /**
     * Add item to itemFichaFinanceira value
     * @throws \InvalidArgumentException
     * @param \StructType\ItemFichaFinanceira $item
     * @return \StructType\FichaFinanceira
     */
    public function addToItemFichaFinanceira(\StructType\ItemFichaFinanceira $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ItemFichaFinanceira) {
            throw new \InvalidArgumentException(sprintf('The itemFichaFinanceira property can only contain items of type \StructType\ItemFichaFinanceira, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->itemFichaFinanceira[] = $item;
        return $this;
    }
}
