<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for findAgrupamentosResponse StructType
 * Meta information extracted from the WSDL
 * - type: tns:findAgrupamentosResponse
 * @subpackage Structs
 */
class FindAgrupamentosResponse extends AbstractStructBase
{
    /**
     * The Agrupamentos
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Agrupamento[]
     */
    public $Agrupamentos;
    /**
     * Constructor method for findAgrupamentosResponse
     * @uses FindAgrupamentosResponse::setAgrupamentos()
     * @param \StructType\Agrupamento[] $agrupamentos
     */
    public function __construct(array $agrupamentos = array())
    {
        $this
            ->setAgrupamentos($agrupamentos);
    }
    /**
     * Get Agrupamentos value
     * @return \StructType\Agrupamento[]|null
     */
    public function getAgrupamentos()
    {
        return $this->Agrupamentos;
    }
    /**
     * This method is responsible for validating the values passed to the setAgrupamentos method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAgrupamentos method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAgrupamentosForArrayConstraintsFromSetAgrupamentos(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $findAgrupamentosResponseAgrupamentosItem) {
            // validation for constraint: itemType
            if (!$findAgrupamentosResponseAgrupamentosItem instanceof \StructType\Agrupamento) {
                $invalidValues[] = is_object($findAgrupamentosResponseAgrupamentosItem) ? get_class($findAgrupamentosResponseAgrupamentosItem) : sprintf('%s(%s)', gettype($findAgrupamentosResponseAgrupamentosItem), var_export($findAgrupamentosResponseAgrupamentosItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Agrupamentos property can only contain items of type \StructType\Agrupamento, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Agrupamentos value
     * @throws \InvalidArgumentException
     * @param \StructType\Agrupamento[] $agrupamentos
     * @return \StructType\FindAgrupamentosResponse
     */
    public function setAgrupamentos(array $agrupamentos = array())
    {
        // validation for constraint: array
        if ('' !== ($agrupamentosArrayErrorMessage = self::validateAgrupamentosForArrayConstraintsFromSetAgrupamentos($agrupamentos))) {
            throw new \InvalidArgumentException($agrupamentosArrayErrorMessage, __LINE__);
        }
        $this->Agrupamentos = $agrupamentos;
        return $this;
    }
    /**
     * Add item to Agrupamentos value
     * @throws \InvalidArgumentException
     * @param \StructType\Agrupamento $item
     * @return \StructType\FindAgrupamentosResponse
     */
    public function addToAgrupamentos(\StructType\Agrupamento $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Agrupamento) {
            throw new \InvalidArgumentException(sprintf('The Agrupamentos property can only contain items of type \StructType\Agrupamento, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Agrupamentos[] = $item;
        return $this;
    }
}
