<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for findServidorByOrgaoAndCpfAndTipo StructType
 * Meta information extracted from the WSDL
 * - type: tns:findServidorByOrgaoAndCpfAndTipo
 * @subpackage Structs
 */
class FindServidorByOrgaoAndCpfAndTipo extends AbstractStructBase
{
    /**
     * The codigoOrgao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $codigoOrgao;
    /**
     * The cpf
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $cpf;
    /**
     * The tipo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tipo;
    /**
     * The token
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $token;
    /**
     * Constructor method for findServidorByOrgaoAndCpfAndTipo
     * @uses FindServidorByOrgaoAndCpfAndTipo::setCodigoOrgao()
     * @uses FindServidorByOrgaoAndCpfAndTipo::setCpf()
     * @uses FindServidorByOrgaoAndCpfAndTipo::setTipo()
     * @uses FindServidorByOrgaoAndCpfAndTipo::setToken()
     * @param int $codigoOrgao
     * @param int $cpf
     * @param string $tipo
     * @param string $token
     */
    public function __construct($codigoOrgao = null, $cpf = null, $tipo = null, $token = null)
    {
        $this
            ->setCodigoOrgao($codigoOrgao)
            ->setCpf($cpf)
            ->setTipo($tipo)
            ->setToken($token);
    }
    /**
     * Get codigoOrgao value
     * @return int|null
     */
    public function getCodigoOrgao()
    {
        return $this->codigoOrgao;
    }
    /**
     * Set codigoOrgao value
     * @param int $codigoOrgao
     * @return \StructType\FindServidorByOrgaoAndCpfAndTipo
     */
    public function setCodigoOrgao($codigoOrgao = null)
    {
        // validation for constraint: int
        if (!is_null($codigoOrgao) && !(is_int($codigoOrgao) || ctype_digit($codigoOrgao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($codigoOrgao, true), gettype($codigoOrgao)), __LINE__);
        }
        $this->codigoOrgao = $codigoOrgao;
        return $this;
    }
    /**
     * Get cpf value
     * @return int|null
     */
    public function getCpf()
    {
        return $this->cpf;
    }
    /**
     * Set cpf value
     * @param int $cpf
     * @return \StructType\FindServidorByOrgaoAndCpfAndTipo
     */
    public function setCpf($cpf = null)
    {
        // validation for constraint: int
        if (!is_null($cpf) && !(is_int($cpf) || ctype_digit($cpf))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cpf, true), gettype($cpf)), __LINE__);
        }
        $this->cpf = $cpf;
        return $this;
    }
    /**
     * Get tipo value
     * @return string|null
     */
    public function getTipo()
    {
        return $this->tipo;
    }
    /**
     * Set tipo value
     * @param string $tipo
     * @return \StructType\FindServidorByOrgaoAndCpfAndTipo
     */
    public function setTipo($tipo = null)
    {
        // validation for constraint: string
        if (!is_null($tipo) && !is_string($tipo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tipo, true), gettype($tipo)), __LINE__);
        }
        $this->tipo = $tipo;
        return $this;
    }
    /**
     * Get token value
     * @return string|null
     */
    public function getToken()
    {
        return $this->token;
    }
    /**
     * Set token value
     * @param string $token
     * @return \StructType\FindServidorByOrgaoAndCpfAndTipo
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        $this->token = $token;
        return $this;
    }
}
