<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for findTransacaoByCpfResponse StructType
 * Meta information extracted from the WSDL
 * - type: tns:findTransacaoByCpfResponse
 * @subpackage Structs
 */
class FindTransacaoByCpfResponse extends AbstractStructBase
{
    /**
     * The Transacoes
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Transacao[]
     */
    public $Transacoes;
    /**
     * Constructor method for findTransacaoByCpfResponse
     * @uses FindTransacaoByCpfResponse::setTransacoes()
     * @param \StructType\Transacao[] $transacoes
     */
    public function __construct(array $transacoes = array())
    {
        $this
            ->setTransacoes($transacoes);
    }
    /**
     * Get Transacoes value
     * @return \StructType\Transacao[]|null
     */
    public function getTransacoes()
    {
        return $this->Transacoes;
    }
    /**
     * This method is responsible for validating the values passed to the setTransacoes method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTransacoes method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTransacoesForArrayConstraintsFromSetTransacoes(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $findTransacaoByCpfResponseTransacoesItem) {
            // validation for constraint: itemType
            if (!$findTransacaoByCpfResponseTransacoesItem instanceof \StructType\Transacao) {
                $invalidValues[] = is_object($findTransacaoByCpfResponseTransacoesItem) ? get_class($findTransacaoByCpfResponseTransacoesItem) : sprintf('%s(%s)', gettype($findTransacaoByCpfResponseTransacoesItem), var_export($findTransacaoByCpfResponseTransacoesItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Transacoes property can only contain items of type \StructType\Transacao, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Transacoes value
     * @throws \InvalidArgumentException
     * @param \StructType\Transacao[] $transacoes
     * @return \StructType\FindTransacaoByCpfResponse
     */
    public function setTransacoes(array $transacoes = array())
    {
        // validation for constraint: array
        if ('' !== ($transacoesArrayErrorMessage = self::validateTransacoesForArrayConstraintsFromSetTransacoes($transacoes))) {
            throw new \InvalidArgumentException($transacoesArrayErrorMessage, __LINE__);
        }
        $this->Transacoes = $transacoes;
        return $this;
    }
    /**
     * Add item to Transacoes value
     * @throws \InvalidArgumentException
     * @param \StructType\Transacao $item
     * @return \StructType\FindTransacaoByCpfResponse
     */
    public function addToTransacoes(\StructType\Transacao $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Transacao) {
            throw new \InvalidArgumentException(sprintf('The Transacoes property can only contain items of type \StructType\Transacao, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Transacoes[] = $item;
        return $this;
    }
}
