<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for findVinculoByIdentificacaoUnicaServidorResponse StructType
 * Meta information extracted from the WSDL
 * - type: tns:findVinculoByIdentificacaoUnicaServidorResponse
 * @subpackage Structs
 */
class FindVinculoByIdentificacaoUnicaServidorResponse extends AbstractStructBase
{
    /**
     * The Vinculos
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Vinculo[]
     */
    public $Vinculos;
    /**
     * Constructor method for findVinculoByIdentificacaoUnicaServidorResponse
     * @uses FindVinculoByIdentificacaoUnicaServidorResponse::setVinculos()
     * @param \StructType\Vinculo[] $vinculos
     */
    public function __construct(array $vinculos = array())
    {
        $this
            ->setVinculos($vinculos);
    }
    /**
     * Get Vinculos value
     * @return \StructType\Vinculo[]|null
     */
    public function getVinculos()
    {
        return $this->Vinculos;
    }
    /**
     * This method is responsible for validating the values passed to the setVinculos method
     * This method is willingly generated in order to preserve the one-line inline validation within the setVinculos method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateVinculosForArrayConstraintsFromSetVinculos(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $findVinculoByIdentificacaoUnicaServidorResponseVinculosItem) {
            // validation for constraint: itemType
            if (!$findVinculoByIdentificacaoUnicaServidorResponseVinculosItem instanceof \StructType\Vinculo) {
                $invalidValues[] = is_object($findVinculoByIdentificacaoUnicaServidorResponseVinculosItem) ? get_class($findVinculoByIdentificacaoUnicaServidorResponseVinculosItem) : sprintf('%s(%s)', gettype($findVinculoByIdentificacaoUnicaServidorResponseVinculosItem), var_export($findVinculoByIdentificacaoUnicaServidorResponseVinculosItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Vinculos property can only contain items of type \StructType\Vinculo, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Vinculos value
     * @throws \InvalidArgumentException
     * @param \StructType\Vinculo[] $vinculos
     * @return \StructType\FindVinculoByIdentificacaoUnicaServidorResponse
     */
    public function setVinculos(array $vinculos = array())
    {
        // validation for constraint: array
        if ('' !== ($vinculosArrayErrorMessage = self::validateVinculosForArrayConstraintsFromSetVinculos($vinculos))) {
            throw new \InvalidArgumentException($vinculosArrayErrorMessage, __LINE__);
        }
        $this->Vinculos = $vinculos;
        return $this;
    }
    /**
     * Add item to Vinculos value
     * @throws \InvalidArgumentException
     * @param \StructType\Vinculo $item
     * @return \StructType\FindVinculoByIdentificacaoUnicaServidorResponse
     */
    public function addToVinculos(\StructType\Vinculo $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Vinculo) {
            throw new \InvalidArgumentException(sprintf('The Vinculos property can only contain items of type \StructType\Vinculo, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Vinculos[] = $item;
        return $this;
    }
}
