<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getFichaFinanceiraResponse StructType
 * Meta information extracted from the WSDL
 * - type: tns:getFichaFinanceiraResponse
 * @subpackage Structs
 */
class GetFichaFinanceiraResponse extends AbstractStructBase
{
    /**
     * The Rubricas
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Rubrica_1[]
     */
    public $Rubricas;
    /**
     * Constructor method for getFichaFinanceiraResponse
     * @uses GetFichaFinanceiraResponse::setRubricas()
     * @param \StructType\Rubrica_1[] $rubricas
     */
    public function __construct(array $rubricas = array())
    {
        $this
            ->setRubricas($rubricas);
    }
    /**
     * Get Rubricas value
     * @return \StructType\Rubrica_1[]|null
     */
    public function getRubricas()
    {
        return $this->Rubricas;
    }
    /**
     * This method is responsible for validating the values passed to the setRubricas method
     * This method is willingly generated in order to preserve the one-line inline validation within the setRubricas method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateRubricasForArrayConstraintsFromSetRubricas(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getFichaFinanceiraResponseRubricasItem) {
            // validation for constraint: itemType
            if (!$getFichaFinanceiraResponseRubricasItem instanceof \StructType\Rubrica_1) {
                $invalidValues[] = is_object($getFichaFinanceiraResponseRubricasItem) ? get_class($getFichaFinanceiraResponseRubricasItem) : sprintf('%s(%s)', gettype($getFichaFinanceiraResponseRubricasItem), var_export($getFichaFinanceiraResponseRubricasItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Rubricas property can only contain items of type \StructType\Rubrica_1, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Rubricas value
     * @throws \InvalidArgumentException
     * @param \StructType\Rubrica_1[] $rubricas
     * @return \StructType\GetFichaFinanceiraResponse
     */
    public function setRubricas(array $rubricas = array())
    {
        // validation for constraint: array
        if ('' !== ($rubricasArrayErrorMessage = self::validateRubricasForArrayConstraintsFromSetRubricas($rubricas))) {
            throw new \InvalidArgumentException($rubricasArrayErrorMessage, __LINE__);
        }
        $this->Rubricas = $rubricas;
        return $this;
    }
    /**
     * Add item to Rubricas value
     * @throws \InvalidArgumentException
     * @param \StructType\Rubrica_1 $item
     * @return \StructType\GetFichaFinanceiraResponse
     */
    public function addToRubricas(\StructType\Rubrica_1 $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Rubrica_1) {
            throw new \InvalidArgumentException(sprintf('The Rubricas property can only contain items of type \StructType\Rubrica_1, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Rubricas[] = $item;
        return $this;
    }
}
