<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getHistoricoBeneficio StructType
 * Meta information extracted from the WSDL
 * - type: tns:getHistoricoBeneficio
 * @subpackage Structs
 */
class GetHistoricoBeneficio extends AbstractStructBase
{
    /**
     * The orgaoInstituidor
     * @var int
     */
    public $orgaoInstituidor;
    /**
     * The matriculaInstituidor
     * @var int
     */
    public $matriculaInstituidor;
    /**
     * The matriculaBeneficiario
     * @var int
     */
    public $matriculaBeneficiario;
    /**
     * The anoMesFinal
     * @var int
     */
    public $anoMesFinal;
    /**
     * The token
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $token;
    /**
     * Constructor method for getHistoricoBeneficio
     * @uses GetHistoricoBeneficio::setOrgaoInstituidor()
     * @uses GetHistoricoBeneficio::setMatriculaInstituidor()
     * @uses GetHistoricoBeneficio::setMatriculaBeneficiario()
     * @uses GetHistoricoBeneficio::setAnoMesFinal()
     * @uses GetHistoricoBeneficio::setToken()
     * @param int $orgaoInstituidor
     * @param int $matriculaInstituidor
     * @param int $matriculaBeneficiario
     * @param int $anoMesFinal
     * @param string $token
     */
    public function __construct($orgaoInstituidor = null, $matriculaInstituidor = null, $matriculaBeneficiario = null, $anoMesFinal = null, $token = null)
    {
        $this
            ->setOrgaoInstituidor($orgaoInstituidor)
            ->setMatriculaInstituidor($matriculaInstituidor)
            ->setMatriculaBeneficiario($matriculaBeneficiario)
            ->setAnoMesFinal($anoMesFinal)
            ->setToken($token);
    }
    /**
     * Get orgaoInstituidor value
     * @return int|null
     */
    public function getOrgaoInstituidor()
    {
        return $this->orgaoInstituidor;
    }
    /**
     * Set orgaoInstituidor value
     * @param int $orgaoInstituidor
     * @return \StructType\GetHistoricoBeneficio
     */
    public function setOrgaoInstituidor($orgaoInstituidor = null)
    {
        // validation for constraint: int
        if (!is_null($orgaoInstituidor) && !(is_int($orgaoInstituidor) || ctype_digit($orgaoInstituidor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($orgaoInstituidor, true), gettype($orgaoInstituidor)), __LINE__);
        }
        $this->orgaoInstituidor = $orgaoInstituidor;
        return $this;
    }
    /**
     * Get matriculaInstituidor value
     * @return int|null
     */
    public function getMatriculaInstituidor()
    {
        return $this->matriculaInstituidor;
    }
    /**
     * Set matriculaInstituidor value
     * @param int $matriculaInstituidor
     * @return \StructType\GetHistoricoBeneficio
     */
    public function setMatriculaInstituidor($matriculaInstituidor = null)
    {
        // validation for constraint: int
        if (!is_null($matriculaInstituidor) && !(is_int($matriculaInstituidor) || ctype_digit($matriculaInstituidor))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($matriculaInstituidor, true), gettype($matriculaInstituidor)), __LINE__);
        }
        $this->matriculaInstituidor = $matriculaInstituidor;
        return $this;
    }
    /**
     * Get matriculaBeneficiario value
     * @return int|null
     */
    public function getMatriculaBeneficiario()
    {
        return $this->matriculaBeneficiario;
    }
    /**
     * Set matriculaBeneficiario value
     * @param int $matriculaBeneficiario
     * @return \StructType\GetHistoricoBeneficio
     */
    public function setMatriculaBeneficiario($matriculaBeneficiario = null)
    {
        // validation for constraint: int
        if (!is_null($matriculaBeneficiario) && !(is_int($matriculaBeneficiario) || ctype_digit($matriculaBeneficiario))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($matriculaBeneficiario, true), gettype($matriculaBeneficiario)), __LINE__);
        }
        $this->matriculaBeneficiario = $matriculaBeneficiario;
        return $this;
    }
    /**
     * Get anoMesFinal value
     * @return int|null
     */
    public function getAnoMesFinal()
    {
        return $this->anoMesFinal;
    }
    /**
     * Set anoMesFinal value
     * @param int $anoMesFinal
     * @return \StructType\GetHistoricoBeneficio
     */
    public function setAnoMesFinal($anoMesFinal = null)
    {
        // validation for constraint: int
        if (!is_null($anoMesFinal) && !(is_int($anoMesFinal) || ctype_digit($anoMesFinal))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($anoMesFinal, true), gettype($anoMesFinal)), __LINE__);
        }
        $this->anoMesFinal = $anoMesFinal;
        return $this;
    }
    /**
     * Get token value
     * @return string|null
     */
    public function getToken()
    {
        return $this->token;
    }
    /**
     * Set token value
     * @param string $token
     * @return \StructType\GetHistoricoBeneficio
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        $this->token = $token;
        return $this;
    }
}
