<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for listarBeneficiarioNomeResponse StructType
 * Meta information extracted from the WSDL
 * - type: tns:listarBeneficiarioNomeResponse
 * @subpackage Structs
 */
class ListarBeneficiarioNomeResponse extends AbstractStructBase
{
    /**
     * The Beneficiarios
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Beneficiario[]
     */
    public $Beneficiarios;
    /**
     * Constructor method for listarBeneficiarioNomeResponse
     * @uses ListarBeneficiarioNomeResponse::setBeneficiarios()
     * @param \StructType\Beneficiario[] $beneficiarios
     */
    public function __construct(array $beneficiarios = array())
    {
        $this
            ->setBeneficiarios($beneficiarios);
    }
    /**
     * Get Beneficiarios value
     * @return \StructType\Beneficiario[]|null
     */
    public function getBeneficiarios()
    {
        return $this->Beneficiarios;
    }
    /**
     * This method is responsible for validating the values passed to the setBeneficiarios method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBeneficiarios method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBeneficiariosForArrayConstraintsFromSetBeneficiarios(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $listarBeneficiarioNomeResponseBeneficiariosItem) {
            // validation for constraint: itemType
            if (!$listarBeneficiarioNomeResponseBeneficiariosItem instanceof \StructType\Beneficiario) {
                $invalidValues[] = is_object($listarBeneficiarioNomeResponseBeneficiariosItem) ? get_class($listarBeneficiarioNomeResponseBeneficiariosItem) : sprintf('%s(%s)', gettype($listarBeneficiarioNomeResponseBeneficiariosItem), var_export($listarBeneficiarioNomeResponseBeneficiariosItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Beneficiarios property can only contain items of type \StructType\Beneficiario, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Beneficiarios value
     * @throws \InvalidArgumentException
     * @param \StructType\Beneficiario[] $beneficiarios
     * @return \StructType\ListarBeneficiarioNomeResponse
     */
    public function setBeneficiarios(array $beneficiarios = array())
    {
        // validation for constraint: array
        if ('' !== ($beneficiariosArrayErrorMessage = self::validateBeneficiariosForArrayConstraintsFromSetBeneficiarios($beneficiarios))) {
            throw new \InvalidArgumentException($beneficiariosArrayErrorMessage, __LINE__);
        }
        $this->Beneficiarios = $beneficiarios;
        return $this;
    }
    /**
     * Add item to Beneficiarios value
     * @throws \InvalidArgumentException
     * @param \StructType\Beneficiario $item
     * @return \StructType\ListarBeneficiarioNomeResponse
     */
    public function addToBeneficiarios(\StructType\Beneficiario $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Beneficiario) {
            throw new \InvalidArgumentException(sprintf('The Beneficiarios property can only contain items of type \StructType\Beneficiario, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Beneficiarios[] = $item;
        return $this;
    }
}
