<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for listarServidorNomeResponse StructType
 * Meta information extracted from the WSDL
 * - type: tns:listarServidorNomeResponse
 * @subpackage Structs
 */
class ListarServidorNomeResponse extends AbstractStructBase
{
    /**
     * The Servidores
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Servidor[]
     */
    public $Servidores;
    /**
     * Constructor method for listarServidorNomeResponse
     * @uses ListarServidorNomeResponse::setServidores()
     * @param \StructType\Servidor[] $servidores
     */
    public function __construct(array $servidores = array())
    {
        $this
            ->setServidores($servidores);
    }
    /**
     * Get Servidores value
     * @return \StructType\Servidor[]|null
     */
    public function getServidores()
    {
        return $this->Servidores;
    }
    /**
     * This method is responsible for validating the values passed to the setServidores method
     * This method is willingly generated in order to preserve the one-line inline validation within the setServidores method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateServidoresForArrayConstraintsFromSetServidores(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $listarServidorNomeResponseServidoresItem) {
            // validation for constraint: itemType
            if (!$listarServidorNomeResponseServidoresItem instanceof \StructType\Servidor) {
                $invalidValues[] = is_object($listarServidorNomeResponseServidoresItem) ? get_class($listarServidorNomeResponseServidoresItem) : sprintf('%s(%s)', gettype($listarServidorNomeResponseServidoresItem), var_export($listarServidorNomeResponseServidoresItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Servidores property can only contain items of type \StructType\Servidor, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Servidores value
     * @throws \InvalidArgumentException
     * @param \StructType\Servidor[] $servidores
     * @return \StructType\ListarServidorNomeResponse
     */
    public function setServidores(array $servidores = array())
    {
        // validation for constraint: array
        if ('' !== ($servidoresArrayErrorMessage = self::validateServidoresForArrayConstraintsFromSetServidores($servidores))) {
            throw new \InvalidArgumentException($servidoresArrayErrorMessage, __LINE__);
        }
        $this->Servidores = $servidores;
        return $this;
    }
    /**
     * Add item to Servidores value
     * @throws \InvalidArgumentException
     * @param \StructType\Servidor $item
     * @return \StructType\ListarServidorNomeResponse
     */
    public function addToServidores(\StructType\Servidor $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Servidor) {
            throw new \InvalidArgumentException(sprintf('The Servidores property can only contain items of type \StructType\Servidor, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Servidores[] = $item;
        return $this;
    }
}
