<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for logon StructType
 * Meta information extracted from the WSDL
 * - type: tns:logon
 * @subpackage Structs
 */
class Logon extends AbstractStructBase
{
    /**
     * The cpf
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $cpf;
    /**
     * The senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $senha;
    /**
     * The novaSenha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $novaSenha;
    /**
     * The token
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $token;
    /**
     * Constructor method for logon
     * @uses Logon::setCpf()
     * @uses Logon::setSenha()
     * @uses Logon::setNovaSenha()
     * @uses Logon::setToken()
     * @param string $cpf
     * @param string $senha
     * @param string $novaSenha
     * @param string $token
     */
    public function __construct($cpf = null, $senha = null, $novaSenha = null, $token = null)
    {
        $this
            ->setCpf($cpf)
            ->setSenha($senha)
            ->setNovaSenha($novaSenha)
            ->setToken($token);
    }
    /**
     * Get cpf value
     * @return string|null
     */
    public function getCpf()
    {
        return $this->cpf;
    }
    /**
     * Set cpf value
     * @param string $cpf
     * @return \StructType\Logon
     */
    public function setCpf($cpf = null)
    {
        // validation for constraint: string
        if (!is_null($cpf) && !is_string($cpf)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cpf, true), gettype($cpf)), __LINE__);
        }
        $this->cpf = $cpf;
        return $this;
    }
    /**
     * Get senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->senha;
    }
    /**
     * Set senha value
     * @param string $senha
     * @return \StructType\Logon
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->senha = $senha;
        return $this;
    }
    /**
     * Get novaSenha value
     * @return string|null
     */
    public function getNovaSenha()
    {
        return $this->novaSenha;
    }
    /**
     * Set novaSenha value
     * @param string $novaSenha
     * @return \StructType\Logon
     */
    public function setNovaSenha($novaSenha = null)
    {
        // validation for constraint: string
        if (!is_null($novaSenha) && !is_string($novaSenha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($novaSenha, true), gettype($novaSenha)), __LINE__);
        }
        $this->novaSenha = $novaSenha;
        return $this;
    }
    /**
     * Get token value
     * @return string|null
     */
    public function getToken()
    {
        return $this->token;
    }
    /**
     * Set token value
     * @param string $token
     * @return \StructType\Logon
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        $this->token = $token;
        return $this;
    }
}
