<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for objetos StructType
 * @subpackage Structs
 */
class Objetos extends AbstractStructBase
{
    /**
     * The orgaosDaAcao
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\ObjetoAcao[]
     */
    public $orgaosDaAcao;
    /**
     * Constructor method for objetos
     * @uses Objetos::setOrgaosDaAcao()
     * @param \StructType\ObjetoAcao[] $orgaosDaAcao
     */
    public function __construct(array $orgaosDaAcao = array())
    {
        $this
            ->setOrgaosDaAcao($orgaosDaAcao);
    }
    /**
     * Get orgaosDaAcao value
     * @return \StructType\ObjetoAcao[]|null
     */
    public function getOrgaosDaAcao()
    {
        return $this->orgaosDaAcao;
    }
    /**
     * This method is responsible for validating the values passed to the setOrgaosDaAcao method
     * This method is willingly generated in order to preserve the one-line inline validation within the setOrgaosDaAcao method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateOrgaosDaAcaoForArrayConstraintsFromSetOrgaosDaAcao(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $objetosOrgaosDaAcaoItem) {
            // validation for constraint: itemType
            if (!$objetosOrgaosDaAcaoItem instanceof \StructType\ObjetoAcao) {
                $invalidValues[] = is_object($objetosOrgaosDaAcaoItem) ? get_class($objetosOrgaosDaAcaoItem) : sprintf('%s(%s)', gettype($objetosOrgaosDaAcaoItem), var_export($objetosOrgaosDaAcaoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The orgaosDaAcao property can only contain items of type \StructType\ObjetoAcao, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set orgaosDaAcao value
     * @throws \InvalidArgumentException
     * @param \StructType\ObjetoAcao[] $orgaosDaAcao
     * @return \StructType\Objetos
     */
    public function setOrgaosDaAcao(array $orgaosDaAcao = array())
    {
        // validation for constraint: array
        if ('' !== ($orgaosDaAcaoArrayErrorMessage = self::validateOrgaosDaAcaoForArrayConstraintsFromSetOrgaosDaAcao($orgaosDaAcao))) {
            throw new \InvalidArgumentException($orgaosDaAcaoArrayErrorMessage, __LINE__);
        }
        $this->orgaosDaAcao = $orgaosDaAcao;
        return $this;
    }
    /**
     * Add item to orgaosDaAcao value
     * @throws \InvalidArgumentException
     * @param \StructType\ObjetoAcao $item
     * @return \StructType\Objetos
     */
    public function addToOrgaosDaAcao(\StructType\ObjetoAcao $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ObjetoAcao) {
            throw new \InvalidArgumentException(sprintf('The orgaosDaAcao property can only contain items of type \StructType\ObjetoAcao, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->orgaosDaAcao[] = $item;
        return $this;
    }
}
