<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for objetosAcao StructType
 * @subpackage Structs
 */
class ObjetosAcao extends AbstractStructBase
{
    /**
     * The objetoAcao
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\ObjetoAcao[]
     */
    public $objetoAcao;
    /**
     * Constructor method for objetosAcao
     * @uses ObjetosAcao::setObjetoAcao()
     * @param \StructType\ObjetoAcao[] $objetoAcao
     */
    public function __construct(array $objetoAcao = array())
    {
        $this
            ->setObjetoAcao($objetoAcao);
    }
    /**
     * Get objetoAcao value
     * @return \StructType\ObjetoAcao[]|null
     */
    public function getObjetoAcao()
    {
        return $this->objetoAcao;
    }
    /**
     * This method is responsible for validating the values passed to the setObjetoAcao method
     * This method is willingly generated in order to preserve the one-line inline validation within the setObjetoAcao method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateObjetoAcaoForArrayConstraintsFromSetObjetoAcao(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $objetosAcaoObjetoAcaoItem) {
            // validation for constraint: itemType
            if (!$objetosAcaoObjetoAcaoItem instanceof \StructType\ObjetoAcao) {
                $invalidValues[] = is_object($objetosAcaoObjetoAcaoItem) ? get_class($objetosAcaoObjetoAcaoItem) : sprintf('%s(%s)', gettype($objetosAcaoObjetoAcaoItem), var_export($objetosAcaoObjetoAcaoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The objetoAcao property can only contain items of type \StructType\ObjetoAcao, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set objetoAcao value
     * @throws \InvalidArgumentException
     * @param \StructType\ObjetoAcao[] $objetoAcao
     * @return \StructType\ObjetosAcao
     */
    public function setObjetoAcao(array $objetoAcao = array())
    {
        // validation for constraint: array
        if ('' !== ($objetoAcaoArrayErrorMessage = self::validateObjetoAcaoForArrayConstraintsFromSetObjetoAcao($objetoAcao))) {
            throw new \InvalidArgumentException($objetoAcaoArrayErrorMessage, __LINE__);
        }
        $this->objetoAcao = $objetoAcao;
        return $this;
    }
    /**
     * Add item to objetoAcao value
     * @throws \InvalidArgumentException
     * @param \StructType\ObjetoAcao $item
     * @return \StructType\ObjetosAcao
     */
    public function addToObjetoAcao(\StructType\ObjetoAcao $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ObjetoAcao) {
            throw new \InvalidArgumentException(sprintf('The objetoAcao property can only contain items of type \StructType\ObjetoAcao, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->objetoAcao[] = $item;
        return $this;
    }
}
