<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Pessoa StructType
 * @subpackage Structs
 */
class Pessoa extends BaseModel
{
    /**
     * The nome
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $nome;
    /**
     * The cpf
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $cpf;
    /**
     * The bairro
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bairro;
    /**
     * The municipio
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $municipio;
    /**
     * The cep
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $cep;
    /**
     * The telefone
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $telefone;
    /**
     * The dataExpedicao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dataExpedicao;
    /**
     * The uf
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $uf;
    /**
     * The orgaoExpeditor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $orgaoExpeditor;
    /**
     * The rg
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $rg;
    /**
     * The dependenteIR
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dependenteIR;
    /**
     * The estadoCivil
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $estadoCivil;
    /**
     * The logradouro
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $logradouro;
    /**
     * The sexo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sexo;
    /**
     * The nomeMae
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $nomeMae;
    /**
     * The ufOrgaoExpeditor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $ufOrgaoExpeditor;
    /**
     * The dataNascimento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dataNascimento;
    /**
     * The tipopessoa
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tipopessoa;
    /**
     * The tituloEleitoral
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tituloEleitoral;
    /**
     * The email
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $email;
    /**
     * Constructor method for Pessoa
     * @uses Pessoa::setNome()
     * @uses Pessoa::setCpf()
     * @uses Pessoa::setBairro()
     * @uses Pessoa::setMunicipio()
     * @uses Pessoa::setCep()
     * @uses Pessoa::setTelefone()
     * @uses Pessoa::setDataExpedicao()
     * @uses Pessoa::setUf()
     * @uses Pessoa::setOrgaoExpeditor()
     * @uses Pessoa::setRg()
     * @uses Pessoa::setDependenteIR()
     * @uses Pessoa::setEstadoCivil()
     * @uses Pessoa::setLogradouro()
     * @uses Pessoa::setSexo()
     * @uses Pessoa::setNomeMae()
     * @uses Pessoa::setUfOrgaoExpeditor()
     * @uses Pessoa::setDataNascimento()
     * @uses Pessoa::setTipopessoa()
     * @uses Pessoa::setTituloEleitoral()
     * @uses Pessoa::setEmail()
     * @param string $nome
     * @param int $cpf
     * @param string $bairro
     * @param string $municipio
     * @param int $cep
     * @param string $telefone
     * @param string $dataExpedicao
     * @param string $uf
     * @param string $orgaoExpeditor
     * @param string $rg
     * @param string $dependenteIR
     * @param string $estadoCivil
     * @param string $logradouro
     * @param string $sexo
     * @param string $nomeMae
     * @param string $ufOrgaoExpeditor
     * @param string $dataNascimento
     * @param string $tipopessoa
     * @param string $tituloEleitoral
     * @param string $email
     */
    public function __construct($nome = null, $cpf = null, $bairro = null, $municipio = null, $cep = null, $telefone = null, $dataExpedicao = null, $uf = null, $orgaoExpeditor = null, $rg = null, $dependenteIR = null, $estadoCivil = null, $logradouro = null, $sexo = null, $nomeMae = null, $ufOrgaoExpeditor = null, $dataNascimento = null, $tipopessoa = null, $tituloEleitoral = null, $email = null)
    {
        $this
            ->setNome($nome)
            ->setCpf($cpf)
            ->setBairro($bairro)
            ->setMunicipio($municipio)
            ->setCep($cep)
            ->setTelefone($telefone)
            ->setDataExpedicao($dataExpedicao)
            ->setUf($uf)
            ->setOrgaoExpeditor($orgaoExpeditor)
            ->setRg($rg)
            ->setDependenteIR($dependenteIR)
            ->setEstadoCivil($estadoCivil)
            ->setLogradouro($logradouro)
            ->setSexo($sexo)
            ->setNomeMae($nomeMae)
            ->setUfOrgaoExpeditor($ufOrgaoExpeditor)
            ->setDataNascimento($dataNascimento)
            ->setTipopessoa($tipopessoa)
            ->setTituloEleitoral($tituloEleitoral)
            ->setEmail($email);
    }
    /**
     * Get nome value
     * @return string|null
     */
    public function getNome()
    {
        return $this->nome;
    }
    /**
     * Set nome value
     * @param string $nome
     * @return \StructType\Pessoa
     */
    public function setNome($nome = null)
    {
        // validation for constraint: string
        if (!is_null($nome) && !is_string($nome)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nome, true), gettype($nome)), __LINE__);
        }
        $this->nome = $nome;
        return $this;
    }
    /**
     * Get cpf value
     * @return int|null
     */
    public function getCpf()
    {
        return $this->cpf;
    }
    /**
     * Set cpf value
     * @param int $cpf
     * @return \StructType\Pessoa
     */
    public function setCpf($cpf = null)
    {
        // validation for constraint: int
        if (!is_null($cpf) && !(is_int($cpf) || ctype_digit($cpf))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cpf, true), gettype($cpf)), __LINE__);
        }
        $this->cpf = $cpf;
        return $this;
    }
    /**
     * Get bairro value
     * @return string|null
     */
    public function getBairro()
    {
        return $this->bairro;
    }
    /**
     * Set bairro value
     * @param string $bairro
     * @return \StructType\Pessoa
     */
    public function setBairro($bairro = null)
    {
        // validation for constraint: string
        if (!is_null($bairro) && !is_string($bairro)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bairro, true), gettype($bairro)), __LINE__);
        }
        $this->bairro = $bairro;
        return $this;
    }
    /**
     * Get municipio value
     * @return string|null
     */
    public function getMunicipio()
    {
        return $this->municipio;
    }
    /**
     * Set municipio value
     * @param string $municipio
     * @return \StructType\Pessoa
     */
    public function setMunicipio($municipio = null)
    {
        // validation for constraint: string
        if (!is_null($municipio) && !is_string($municipio)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($municipio, true), gettype($municipio)), __LINE__);
        }
        $this->municipio = $municipio;
        return $this;
    }
    /**
     * Get cep value
     * @return int|null
     */
    public function getCep()
    {
        return $this->cep;
    }
    /**
     * Set cep value
     * @param int $cep
     * @return \StructType\Pessoa
     */
    public function setCep($cep = null)
    {
        // validation for constraint: int
        if (!is_null($cep) && !(is_int($cep) || ctype_digit($cep))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cep, true), gettype($cep)), __LINE__);
        }
        $this->cep = $cep;
        return $this;
    }
    /**
     * Get telefone value
     * @return string|null
     */
    public function getTelefone()
    {
        return $this->telefone;
    }
    /**
     * Set telefone value
     * @param string $telefone
     * @return \StructType\Pessoa
     */
    public function setTelefone($telefone = null)
    {
        // validation for constraint: string
        if (!is_null($telefone) && !is_string($telefone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($telefone, true), gettype($telefone)), __LINE__);
        }
        $this->telefone = $telefone;
        return $this;
    }
    /**
     * Get dataExpedicao value
     * @return string|null
     */
    public function getDataExpedicao()
    {
        return $this->dataExpedicao;
    }
    /**
     * Set dataExpedicao value
     * @param string $dataExpedicao
     * @return \StructType\Pessoa
     */
    public function setDataExpedicao($dataExpedicao = null)
    {
        // validation for constraint: string
        if (!is_null($dataExpedicao) && !is_string($dataExpedicao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataExpedicao, true), gettype($dataExpedicao)), __LINE__);
        }
        $this->dataExpedicao = $dataExpedicao;
        return $this;
    }
    /**
     * Get uf value
     * @return string|null
     */
    public function getUf()
    {
        return $this->uf;
    }
    /**
     * Set uf value
     * @param string $uf
     * @return \StructType\Pessoa
     */
    public function setUf($uf = null)
    {
        // validation for constraint: string
        if (!is_null($uf) && !is_string($uf)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uf, true), gettype($uf)), __LINE__);
        }
        $this->uf = $uf;
        return $this;
    }
    /**
     * Get orgaoExpeditor value
     * @return string|null
     */
    public function getOrgaoExpeditor()
    {
        return $this->orgaoExpeditor;
    }
    /**
     * Set orgaoExpeditor value
     * @param string $orgaoExpeditor
     * @return \StructType\Pessoa
     */
    public function setOrgaoExpeditor($orgaoExpeditor = null)
    {
        // validation for constraint: string
        if (!is_null($orgaoExpeditor) && !is_string($orgaoExpeditor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($orgaoExpeditor, true), gettype($orgaoExpeditor)), __LINE__);
        }
        $this->orgaoExpeditor = $orgaoExpeditor;
        return $this;
    }
    /**
     * Get rg value
     * @return string|null
     */
    public function getRg()
    {
        return $this->rg;
    }
    /**
     * Set rg value
     * @param string $rg
     * @return \StructType\Pessoa
     */
    public function setRg($rg = null)
    {
        // validation for constraint: string
        if (!is_null($rg) && !is_string($rg)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($rg, true), gettype($rg)), __LINE__);
        }
        $this->rg = $rg;
        return $this;
    }
    /**
     * Get dependenteIR value
     * @return string|null
     */
    public function getDependenteIR()
    {
        return $this->dependenteIR;
    }
    /**
     * Set dependenteIR value
     * @param string $dependenteIR
     * @return \StructType\Pessoa
     */
    public function setDependenteIR($dependenteIR = null)
    {
        // validation for constraint: string
        if (!is_null($dependenteIR) && !is_string($dependenteIR)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dependenteIR, true), gettype($dependenteIR)), __LINE__);
        }
        $this->dependenteIR = $dependenteIR;
        return $this;
    }
    /**
     * Get estadoCivil value
     * @return string|null
     */
    public function getEstadoCivil()
    {
        return $this->estadoCivil;
    }
    /**
     * Set estadoCivil value
     * @param string $estadoCivil
     * @return \StructType\Pessoa
     */
    public function setEstadoCivil($estadoCivil = null)
    {
        // validation for constraint: string
        if (!is_null($estadoCivil) && !is_string($estadoCivil)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($estadoCivil, true), gettype($estadoCivil)), __LINE__);
        }
        $this->estadoCivil = $estadoCivil;
        return $this;
    }
    /**
     * Get logradouro value
     * @return string|null
     */
    public function getLogradouro()
    {
        return $this->logradouro;
    }
    /**
     * Set logradouro value
     * @param string $logradouro
     * @return \StructType\Pessoa
     */
    public function setLogradouro($logradouro = null)
    {
        // validation for constraint: string
        if (!is_null($logradouro) && !is_string($logradouro)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($logradouro, true), gettype($logradouro)), __LINE__);
        }
        $this->logradouro = $logradouro;
        return $this;
    }
    /**
     * Get sexo value
     * @return string|null
     */
    public function getSexo()
    {
        return $this->sexo;
    }
    /**
     * Set sexo value
     * @param string $sexo
     * @return \StructType\Pessoa
     */
    public function setSexo($sexo = null)
    {
        // validation for constraint: string
        if (!is_null($sexo) && !is_string($sexo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sexo, true), gettype($sexo)), __LINE__);
        }
        $this->sexo = $sexo;
        return $this;
    }
    /**
     * Get nomeMae value
     * @return string|null
     */
    public function getNomeMae()
    {
        return $this->nomeMae;
    }
    /**
     * Set nomeMae value
     * @param string $nomeMae
     * @return \StructType\Pessoa
     */
    public function setNomeMae($nomeMae = null)
    {
        // validation for constraint: string
        if (!is_null($nomeMae) && !is_string($nomeMae)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nomeMae, true), gettype($nomeMae)), __LINE__);
        }
        $this->nomeMae = $nomeMae;
        return $this;
    }
    /**
     * Get ufOrgaoExpeditor value
     * @return string|null
     */
    public function getUfOrgaoExpeditor()
    {
        return $this->ufOrgaoExpeditor;
    }
    /**
     * Set ufOrgaoExpeditor value
     * @param string $ufOrgaoExpeditor
     * @return \StructType\Pessoa
     */
    public function setUfOrgaoExpeditor($ufOrgaoExpeditor = null)
    {
        // validation for constraint: string
        if (!is_null($ufOrgaoExpeditor) && !is_string($ufOrgaoExpeditor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($ufOrgaoExpeditor, true), gettype($ufOrgaoExpeditor)), __LINE__);
        }
        $this->ufOrgaoExpeditor = $ufOrgaoExpeditor;
        return $this;
    }
    /**
     * Get dataNascimento value
     * @return string|null
     */
    public function getDataNascimento()
    {
        return $this->dataNascimento;
    }
    /**
     * Set dataNascimento value
     * @param string $dataNascimento
     * @return \StructType\Pessoa
     */
    public function setDataNascimento($dataNascimento = null)
    {
        // validation for constraint: string
        if (!is_null($dataNascimento) && !is_string($dataNascimento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataNascimento, true), gettype($dataNascimento)), __LINE__);
        }
        $this->dataNascimento = $dataNascimento;
        return $this;
    }
    /**
     * Get tipopessoa value
     * @return string|null
     */
    public function getTipopessoa()
    {
        return $this->tipopessoa;
    }
    /**
     * Set tipopessoa value
     * @param string $tipopessoa
     * @return \StructType\Pessoa
     */
    public function setTipopessoa($tipopessoa = null)
    {
        // validation for constraint: string
        if (!is_null($tipopessoa) && !is_string($tipopessoa)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tipopessoa, true), gettype($tipopessoa)), __LINE__);
        }
        $this->tipopessoa = $tipopessoa;
        return $this;
    }
    /**
     * Get tituloEleitoral value
     * @return string|null
     */
    public function getTituloEleitoral()
    {
        return $this->tituloEleitoral;
    }
    /**
     * Set tituloEleitoral value
     * @param string $tituloEleitoral
     * @return \StructType\Pessoa
     */
    public function setTituloEleitoral($tituloEleitoral = null)
    {
        // validation for constraint: string
        if (!is_null($tituloEleitoral) && !is_string($tituloEleitoral)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tituloEleitoral, true), gettype($tituloEleitoral)), __LINE__);
        }
        $this->tituloEleitoral = $tituloEleitoral;
        return $this;
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $email
     * @return \StructType\Pessoa
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        $this->email = $email;
        return $this;
    }
}
