<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for rubricas StructType
 * @subpackage Structs
 */
class Rubricas extends AbstractStructBase
{
    /**
     * The rubrica
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Rubrica[]
     */
    public $rubrica;
    /**
     * Constructor method for rubricas
     * @uses Rubricas::setRubrica()
     * @param \StructType\Rubrica[] $rubrica
     */
    public function __construct(array $rubrica = array())
    {
        $this
            ->setRubrica($rubrica);
    }
    /**
     * Get rubrica value
     * @return \StructType\Rubrica[]|null
     */
    public function getRubrica()
    {
        return $this->rubrica;
    }
    /**
     * This method is responsible for validating the values passed to the setRubrica method
     * This method is willingly generated in order to preserve the one-line inline validation within the setRubrica method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateRubricaForArrayConstraintsFromSetRubrica(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $rubricasRubricaItem) {
            // validation for constraint: itemType
            if (!$rubricasRubricaItem instanceof \StructType\Rubrica) {
                $invalidValues[] = is_object($rubricasRubricaItem) ? get_class($rubricasRubricaItem) : sprintf('%s(%s)', gettype($rubricasRubricaItem), var_export($rubricasRubricaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The rubrica property can only contain items of type \StructType\Rubrica, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set rubrica value
     * @throws \InvalidArgumentException
     * @param \StructType\Rubrica[] $rubrica
     * @return \StructType\Rubricas
     */
    public function setRubrica(array $rubrica = array())
    {
        // validation for constraint: array
        if ('' !== ($rubricaArrayErrorMessage = self::validateRubricaForArrayConstraintsFromSetRubrica($rubrica))) {
            throw new \InvalidArgumentException($rubricaArrayErrorMessage, __LINE__);
        }
        $this->rubrica = $rubrica;
        return $this;
    }
    /**
     * Add item to rubrica value
     * @throws \InvalidArgumentException
     * @param \StructType\Rubrica $item
     * @return \StructType\Rubricas
     */
    public function addToRubrica(\StructType\Rubrica $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Rubrica) {
            throw new \InvalidArgumentException(sprintf('The rubrica property can only contain items of type \StructType\Rubrica, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->rubrica[] = $item;
        return $this;
    }
}
