<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for vinculos StructType
 * @subpackage Structs
 */
class Vinculos extends AbstractStructBase
{
    /**
     * The vinculo
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Vinculo[]
     */
    public $vinculo;
    /**
     * Constructor method for vinculos
     * @uses Vinculos::setVinculo()
     * @param \StructType\Vinculo[] $vinculo
     */
    public function __construct(array $vinculo = array())
    {
        $this
            ->setVinculo($vinculo);
    }
    /**
     * Get vinculo value
     * @return \StructType\Vinculo[]|null
     */
    public function getVinculo()
    {
        return $this->vinculo;
    }
    /**
     * This method is responsible for validating the values passed to the setVinculo method
     * This method is willingly generated in order to preserve the one-line inline validation within the setVinculo method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateVinculoForArrayConstraintsFromSetVinculo(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $vinculosVinculoItem) {
            // validation for constraint: itemType
            if (!$vinculosVinculoItem instanceof \StructType\Vinculo) {
                $invalidValues[] = is_object($vinculosVinculoItem) ? get_class($vinculosVinculoItem) : sprintf('%s(%s)', gettype($vinculosVinculoItem), var_export($vinculosVinculoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The vinculo property can only contain items of type \StructType\Vinculo, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set vinculo value
     * @throws \InvalidArgumentException
     * @param \StructType\Vinculo[] $vinculo
     * @return \StructType\Vinculos
     */
    public function setVinculo(array $vinculo = array())
    {
        // validation for constraint: array
        if ('' !== ($vinculoArrayErrorMessage = self::validateVinculoForArrayConstraintsFromSetVinculo($vinculo))) {
            throw new \InvalidArgumentException($vinculoArrayErrorMessage, __LINE__);
        }
        $this->vinculo = $vinculo;
        return $this;
    }
    /**
     * Add item to vinculo value
     * @throws \InvalidArgumentException
     * @param \StructType\Vinculo $item
     * @return \StructType\Vinculos
     */
    public function addToVinculo(\StructType\Vinculo $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Vinculo) {
            throw new \InvalidArgumentException(sprintf('The vinculo property can only contain items of type \StructType\Vinculo, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->vinculo[] = $item;
        return $this;
    }
}
